/* Copyright 2020, Michele Santullo
 * This file is part of orotool.
 *
 * Orotool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Orotool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Orotool.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

namespace duck {

constexpr const char g_project_name[] = @PROJECT_NAME@;
constexpr const char g_build_purpose[] = @BUILD_PURPOSE@;
constexpr const char g_base_url[] = @BASE_URL@;
constexpr const char g_config_file_path[] = @CONFIG_FILE_PATH@;
constexpr const char g_def_sqlite_db_name[] = @DEF_SQLITE_DB_NAME@;
constexpr const char g_def_worker_threads[] = "2";
constexpr const unsigned short int g_version_major = @PROJECT_VERSION_MAJOR@;
constexpr const unsigned short int g_version_minor = @PROJECT_VERSION_MINOR@;
constexpr const unsigned short int g_version_patch = @PROJECT_VERSION_PATCH@;

#mesondefine OROTOOL_WITH_LZMA

#mesondefine OROTOOL_WITH_SQLITE

#mesondefine OROTOOL_WITH_NAP
#mesondefine OROTOOL_WITH_RESTCCPP

#if defined(OROTOOL_WITH_SQLITE)
constexpr const char g_sqlite_backend_name[] = "sqlite";
#endif

#if defined(OROTOOL_WITH_SQLITE)
inline constexpr const auto& g_def_backend_name = g_sqlite_backend_name;
#endif

} //namespace duck
